> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Lead Appointment: Rent Manager

POST https://api.propexo.com/v1/events/appointments/leads/rentmanager/
Content-Type: application/json

Create an appointment for a lead in Rent Manager. Rent Manager allows property managers to set both global and property specific timezone settings. These configurations can be pulled in via our [GET /timezones](https://docs.propexo.com/api-reference/api-reference/timezones/get-all-timezones) API endpoint which should be utilized to determine the timezone for which your appointment is set. If no timezone settings are found, Rent Manager suggests by default you send your appointment in Eastern Time (UTC-5:00 or UTC-4:00 depending on daylight savings).| Method                                              |
| --------------------------------------------------- |
| POST /Appointments                                  |
| POST /Appointments/\{appointmentId}/AppointmentUser |This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Reference: https://docs.propexo.com/api-reference/rent-manager/appointments/create-lead-appointment-rent-manager

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_events_appointments_leads_rentmanager__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `lead_id` (string, required) — The Propexo unique identifier for the lead
- `appointment_date` (V1EventsAppointmentsLeadsRentmanagerPostInputAppointmentDate, required) — The date when the appointment will occur
- `appointment_time` (string, required) — The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. The time is in the local time of the property/location. In Rent Manager, the default timezone is an optional setting that the PMC can set and will be stored on the Propexo Timezone model. You may need to read in this setting and convert to the local timezone for the appointment time to be correct.
- `appointment_duration_minutes` (integer, required) — The duration of the appointment, in minutes
- `title` (string, required) — The title associated with the event
- `employee_id` (string, optional) — The Propexo unique identifier for the employee
- `notes` (string, optional) — Notes associated with the event

## Response

### 200

Successful response

- `meta` (V1EventsAppointmentsLeadsRentmanagerPostOutputMeta, required)
- `result` (V1EventsAppointmentsLeadsRentmanagerPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1EventsAppointmentsLeadsRentmanagerPostInputAppointmentDate

The date when the appointment will occur

### V1EventsAppointmentsLeadsRentmanagerPostOutputMeta

- `job_id` (string, required)

### V1EventsAppointmentsLeadsRentmanagerPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `lead_id` (string, required) — The Propexo unique identifier for the lead
- `employee_id` (string, required, nullable) — The Propexo unique identifier for the employee
- `appointment_date` (V1EventsAppointmentsLeadsRentmanagerPostOutputResultAppointmentDate, required, nullable)
- `appointment_time` (string, required) — The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. The time is in the local time of the property/location. In Rent Manager, the default timezone is an optional setting that the PMC can set and will be stored on the Propexo Timezone model. You may need to read in this setting and convert to the local timezone for the appointment time to be correct.
- `appointment_duration_minutes` (integer, required) — The duration of the appointment, in minutes
- `title` (string, required) — The title associated with the event
- `notes` (string, required, nullable) — Notes associated with the event

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1EventsAppointmentsLeadsRentmanagerPostOutputResultAppointmentDate

## Examples

**Request**

```json
{
  "integration_id": "rm-integration-987654321",
  "lead_id": "lead-123456789",
  "appointment_date": "2024-01-15",
  "appointment_time": "14:30:00",
  "appointment_duration_minutes": 45,
  "title": "Initial Property Tour"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-20240115-143000-001"
  },
  "result": {
    "integration_id": "rm-integration-987654321",
    "lead_id": "lead-123456789",
    "employee_id": "emp-456789123",
    "appointment_date": "2024-01-15",
    "appointment_time": "14:30:00",
    "appointment_duration_minutes": 45,
    "title": "Initial Property Tour",
    "notes": "Client requested to see the 2-bedroom unit on the 3rd floor."
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/events/appointments/leads/rentmanager/"

payload = {
    "integration_id": "rm-integration-987654321",
    "lead_id": "lead-123456789",
    "appointment_date": "2024-01-15",
    "appointment_time": "14:30:00",
    "appointment_duration_minutes": 45,
    "title": "Initial Property Tour"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/events/appointments/leads/rentmanager/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"rm-integration-987654321","lead_id":"lead-123456789","appointment_date":"2024-01-15","appointment_time":"14:30:00","appointment_duration_minutes":45,"title":"Initial Property Tour"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/events/appointments/leads/rentmanager/"

	payload := strings.NewReader("{\n  \"integration_id\": \"rm-integration-987654321\",\n  \"lead_id\": \"lead-123456789\",\n  \"appointment_date\": \"2024-01-15\",\n  \"appointment_time\": \"14:30:00\",\n  \"appointment_duration_minutes\": 45,\n  \"title\": \"Initial Property Tour\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/events/appointments/leads/rentmanager/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"rm-integration-987654321\",\n  \"lead_id\": \"lead-123456789\",\n  \"appointment_date\": \"2024-01-15\",\n  \"appointment_time\": \"14:30:00\",\n  \"appointment_duration_minutes\": 45,\n  \"title\": \"Initial Property Tour\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/events/appointments/leads/rentmanager/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"rm-integration-987654321\",\n  \"lead_id\": \"lead-123456789\",\n  \"appointment_date\": \"2024-01-15\",\n  \"appointment_time\": \"14:30:00\",\n  \"appointment_duration_minutes\": 45,\n  \"title\": \"Initial Property Tour\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/events/appointments/leads/rentmanager/', [
  'body' => '{
  "integration_id": "rm-integration-987654321",
  "lead_id": "lead-123456789",
  "appointment_date": "2024-01-15",
  "appointment_time": "14:30:00",
  "appointment_duration_minutes": 45,
  "title": "Initial Property Tour"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/events/appointments/leads/rentmanager/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"rm-integration-987654321\",\n  \"lead_id\": \"lead-123456789\",\n  \"appointment_date\": \"2024-01-15\",\n  \"appointment_time\": \"14:30:00\",\n  \"appointment_duration_minutes\": 45,\n  \"title\": \"Initial Property Tour\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "rm-integration-987654321",
  "lead_id": "lead-123456789",
  "appointment_date": "2024-01-15",
  "appointment_time": "14:30:00",
  "appointment_duration_minutes": 45,
  "title": "Initial Property Tour"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/events/appointments/leads/rentmanager/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```